gRPC C#
gRPC C#
Namespaces
Grpc.Core
AsyncClientStreamingCall(TRequest, TResponse) Class
AsyncDuplexStreamingCall(TRequest, TResponse) Class
AsyncServerStreamingCall(TResponse) Class
AsyncUnaryCall(TResponse) Class
CallInvocationDetails(TRequest, TResponse) Structure
CallOptions Structure
Calls Class
Channel Class
ChannelOption Class
ChannelOption.OptionType Enumeration
ChannelOptions Class
ChannelState Enumeration
ClientBase Class
ClientStreamingServerMethod(TRequest, TResponse) Delegate
CompressionLevel Enumeration
ContextPropagationOptions Class
ContextPropagationToken Class
Credentials Class
DuplexStreamingServerMethod(TRequest, TResponse) Delegate
GrpcEnvironment Class
HeaderInterceptor Delegate
IAsyncStreamReader(T) Interface
IAsyncStreamWriter(T) Interface
IClientStreamWriter(T) Interface
IHasWriteOptions Interface
IMethod Interface
IServerStreamWriter(T) Interface
KeyCertificatePair Class
Marshaller(T) Class
Marshallers Class
Metadata Class
Metadata.Entry Structure
Method(TRequest, TResponse) Class
MethodType Enumeration
RpcException Class
Server Class
Server.ServerPortCollection Class
Server.ServiceDefinitionCollection Class
ServerCallContext Class
ServerCredentials Class
ServerPort Class
ServerServiceDefinition Class
ServerServiceDefinition.Builder Class
ServerStreamingServerMethod(TRequest, TResponse) Delegate
SslCredentials Class
SslServerCredentials Class
Status Structure
StatusCode Enumeration
UnaryServerMethod(TRequest, TResponse) Delegate
VersionInfo Class
WriteFlags Enumeration
WriteOptions Class

DuplexStreamingServerMethod TRequest, TResponse Delegate

Server-side handler for bidi streaming call.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public delegate Task DuplexStreamingServerMethod<TRequest, TResponse>(
    	IAsyncStreamReader<TRequest> requestStream,
    	IServerStreamWriter<TResponse> responseStream,
    	ServerCallContext context
    )
    where TRequest : class
    where TResponse : class

    Public Delegate Function DuplexStreamingServerMethod(Of TRequest As Class, TResponse As Class) (
    	requestStream As IAsyncStreamReader(Of TRequest),
    	responseStream As IServerStreamWriter(Of TResponse),
    	context As ServerCallContext
    ) As Task

    generic<typename TRequest, typename TResponse>
    where TRequest : ref class
    where TResponse : ref class
    public delegate Task^ DuplexStreamingServerMethod(
    	IAsyncStreamReader<TRequest>^ requestStream,
    	IServerStreamWriter<TResponse>^ responseStream,
    	ServerCallContext^ context
    )

    type DuplexStreamingServerMethod =
        delegate of
            requestStream : IAsyncStreamReader<'TRequest> *
            responseStream : IServerStreamWriter<'TResponse> *
            context : ServerCallContext -> Task

#### Parameters

requestStream
  Type: Grpc.Core
  IAsyncStreamReader
  TRequest
responseStream
  Type: Grpc.Core
  IServerStreamWriter
  TResponse
context
  Type: Grpc.Core
  ServerCallContext

#### Type Parameters

TRequest
  Request message type for this method.
TResponse
  Response message type for this method.

#### Return Value

Type: Task
See Also

#### Reference

Grpc.Core Namespace